Bug 1359811 (CVE-2016-6294) - CVE-2016-6294 php: Out-of-bounds access in locale_accept_from_http
Summary: CVE-2016-6294 php: Out-of-bounds access in locale_accept_from_http
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-6294
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1359837
Blocks: 1359830
TreeView+ depends on / blocked
 
Reported: 2016-07-25 13:37 UTC by Adam Mariš
Modified: 2019-09-29 13:53 UTC (History)
14 users (show)

Fixed In Version: php 5.5.38, php 5.6.24, php 7.0.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-26 18:08:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2750 normal SHIPPED_LIVE Moderate: rh-php56 security, bug fix, and enhancement update 2016-11-15 16:40:02 UTC

Description Adam Mariš 2016-07-25 13:37:30 UTC
Calling to uloc_acceptLanguageFromHTTP with parameter size "httpAcceptLanguage" equal or greater than ULOC_FULLNAME_CAPACITY + 1, the local variable "tmp" might leave unterminated. uloc_acceptLanguageFromHTTP doesn’t check status result after call to uloc_canonicalize. This might cause stack data leak.

PHP bug:

https://bugs.php.net/bug.php?id=72533

PHP fix:

http://git.php.net/?p=php-src.git;a=commit;h=aa82e99ed8003c01f1ef4f0940e56b85c5b032d4

CVE assignment:

http://seclists.org/oss-sec/2016/q3/137

Comment 1 Adam Mariš 2016-07-25 14:11:04 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1359837]

Comment 2 errata-xmlrpc 2016-11-15 11:43:58 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2016:2750 https://rhn.redhat.com/errata/RHSA-2016-2750.html

Comment 3 Doran Moppert 2016-11-29 05:02:33 UTC
Note that the patch for this bug, like CVE-2014-9912, is working around a bug in icu which has been assigned CVE-2014-9911.


Note You need to log in before you can comment on or make changes to this bug.